org.springframework.web.socket.sockjs.frame

## Class AbstractSockJsMessageCodec

- java.lang.Object
- - org.springframework.web.socket.sockjs.frame.AbstractSockJsMessageCodec

All Implemented Interfaces:
  SockJsMessageCodec

Direct Known Subclasses:
  Jackson2SockJsMessageCodec

    public abstract class AbstractSockJsMessageCodec
    extends Object
    implements SockJsMessageCodec

An base class for SockJS message codec that provides an implementation of `encode(String[])`.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`AbstractSockJsMessageCodec()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract char[]` `applyJsonQuoting(String content)` Apply standard JSON string quoting (see https://www.json.org/).
`String` `encode(String... messages)` Encode the given messages as a SockJS message frame.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.socket.sockjs.frame.SockJsMessageCodec

`decode, decodeInputStream`

### Constructor Detail

#### AbstractSockJsMessageCodec

    public AbstractSockJsMessageCodec()

### Method Detail

#### encode

    public String encode(String... messages)

Description copied from interface: `SockJsMessageCodec`
Encode the given messages as a SockJS message frame. Aside from applying standard JSON quoting to each message, there are some additional JSON Unicode escaping rules. See the "JSON Unicode Encoding" section of SockJS protocol (i.e. the protocol test suite).

Specified by:
  `encode` in interface `SockJsMessageCodec`
Parameters:
  `messages` - the messages to encode
Returns:
  the content for a SockJS message frame (never `null`)

#### applyJsonQuoting

    protected abstract char[] applyJsonQuoting(String content)

Apply standard JSON string quoting (see https://www.json.org/).